%define		module	git
Summary:	Python Git Library
Name:		python-%{module}
Version:	2.1.11
Release:	1
License:	BSD
Group:		Development/Languages
Source0:	https://github.com/gitpython-developers/GitPython/archive/%{version}/GitPython-%{version}.tar.gz
# Source0-md5:	05e5f6be4887704c8643639c24e4e3c9
URL:		http://pypi.python.org/pypi/GitPython/
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	python-gitdb >= 2.0.0
Obsoletes:	GitPython
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GitPython is a Python library used to interact with Git repositories.

GitPython provides object model access to your git repository. Once
you have created a repository object, you can traverse it to find
parent commit(s), trees, blobs, etc.

GitPython is a port of the grit library in Ruby created by Tom
Preston-Werner and Chris Wanstrath.

%prep
%setup -q -n GitPython-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE AUTHORS
%dir %{py_sitescriptdir}/git
%{py_sitescriptdir}/git/*.py[co]
%dir %{py_sitescriptdir}/git/index
%{py_sitescriptdir}/git/index/*.py[co]
%dir %{py_sitescriptdir}/git/objects
%{py_sitescriptdir}/git/objects/*.py[co]
%dir %{py_sitescriptdir}/git/objects/submodule
%{py_sitescriptdir}/git/objects/submodule/*.py[co]
%dir %{py_sitescriptdir}/git/refs
%{py_sitescriptdir}/git/refs/*.py[co]
%dir %{py_sitescriptdir}/git/repo
%{py_sitescriptdir}/git/repo/*.py[co]
%dir %{py_sitescriptdir}/git/test
%{py_sitescriptdir}/git/test/*.py[co]
%dir %{py_sitescriptdir}/git/test/fixtures
%{py_sitescriptdir}/git/test/fixtures/*
%dir %{py_sitescriptdir}/git/test/lib
%{py_sitescriptdir}/git/test/lib/*.py[co]
%dir %{py_sitescriptdir}/git/test/performance
%{py_sitescriptdir}/git/test/performance/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/GitPython-%{version}*.egg-info
%endif
%changelog
* Wed Dec 05 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-git.git;a=log;h=master

* Wed Dec 05 2018 Adam Gołębiowski <adamg@pld-linux.org> 67c83eb
- updated to 2.1.11

* Wed Apr 04 2018 Jan Rękorajski <baggins@pld-linux.org> 780d101
- versioned requires

* Wed Apr 04 2018 Jan Rękorajski <baggins@pld-linux.org> ddbcfa8
- up to 2.1.9

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 5d7a0ee
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 328f1a4
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 34c0214
- automatic change: use py_build/py_install macros

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> 194eb70
- fixed prep

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> 02814d7
- up to 0.3.2.1

* Thu Nov 01 2012 Artur Frysiak <artur@frysiak.net> 1b8d833
- R: python-gitdb

* Thu Jan 19 2012 Jan Rękorajski <baggins@pld-linux.org> 2a39bab
- 0.3.2.RC1

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> e0a63eb
- BR: python-modules, rpm-pythonprov

* Tue Aug 10 2010 Elan Ruusamäe <glen@pld-linux.org> 404da54
- new

